Subject: Re: bug#36697: 27.0.50; gnus: some articles with score 0 are killed

From: Sam Steingold <[email-masked]>
Date: Mon, 23 Sep 2019 19:39:54 -0400

> * Lars Ingebrigtsen <[email-masked]> [2019-09-24 01:15:38 +0200]:
>
> Sam Steingold <[email-masked]> writes:
>
>> The first 15 articles in *Summary* are marked as "Y-" (killed), the last
>> 5 are not.
>> "V t" on all articles is _identical_:
>>
>> ```
>> ("gwene.ru.org.bash" 400 nil s) [all] -> ~/.gnus-kill/all
>> ("[[:multibyte:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all
>> ("[[:nonascii:]]\\{5\\}" -200 nil r) [all] -> ~/.gnus-kill/all
>>
>> Total score: 0
>> ```
>>
>> The idea is that non-ascii always means spam except for 1 single group
>> where I compensate with +400.
>>
>> This started a few weeks ago, until then all was as expected (no
>> non-ascii subjects except in the bash group, where nothing was ever
>> scored).
>>
>> I am confused why some articles with 0 score are marked with "Y-" and
>> others are not.
>
> I tried with the following score file:
>
> (("subject"
>   ("[[:multibyte:]]\\{5\\}" -200 nil r)
>   ("[[:nonascii:]]\\{5\\}" -200 nil r))
>  (group
>   ("gwene.ru.org.bash" 400 nil s)))
>
> When I enter the group in question, all the articles are marked with
> "Y-" and the `V t' output is the same.  So I'm unable to reproduce this.

So what is the output of `V t` for you?
Why are articles of score 0 marked with "Y-"?

Thanks for looking into this!

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
http://www.dhimmitude.org http://thereligionofpeace.com http://mideasttruth.com
Computers are like air conditioners: they don't work with open windows!